Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.soap
Class SOAPFactoryImpl

    java.lang.Object
      |
      +--javax.xml.soap.SOAPFactory
            |
            +--org.apache.axis.soap.SOAPFactoryImpl

public class SOAPFactoryImpl
extends SOAPFactory

SOAP Element Factory implementation

Author:
  Davanum Srinivas (dims@yahoo.com)

Constructor Summary
`SOAPFactoryImpl()`

Method Summary
`Detail` | `createDetail()` Creates a new `Detail` object which serves as a container for `DetailEntry` objects.
`SOAPElement` | `createElement(Name name)` Create a `SOAPElement` object initialized with the given `Name` object.
`SOAPElement` | `createElement(java.lang.String localName)` Create a `SOAPElement` object initialized with the given local name.
`SOAPElement` | `createElement(java.lang.String localName, java.lang.String prefix, java.lang.String uri)` Create a new `SOAPElement` object with the given local name, prefix and uri.
`Name` | `createName(java.lang.String localName)` Creates a new `Name` object initialized with the given local name.
`Name` | `createName(java.lang.String localName, java.lang.String prefix, java.lang.String uri)` Creates a new `Name` object initialized with the given local name, namespace prefix, and namespace URI.

Methods inherited from class javax.xml.soap.SOAPFactory
`newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPFactoryImpl

    public SOAPFactoryImpl()

Method Detail

### createElement

    public SOAPElement createElement(Name name)
                              throws SOAPException

  Create a `SOAPElement` object initialized with the given `Name` object.
  Overrides:
    `createElement` in class `SOAPFactory`
  Parameters:
    `name` - a `Name` object with the XML name for the new element
  Returns:
    the new `SOAPElement` object that was created
  Throws:
    `SOAPException` - if there is an error in creating the `SOAPElement` object

### createElement

    public SOAPElement createElement(java.lang.String localName)
                              throws SOAPException

  Create a `SOAPElement` object initialized with the given local name.
  Overrides:
    `createElement` in class `SOAPFactory`
  Parameters:
    `localName` - a `String` giving the local name for the new element
  Returns:
    the new `SOAPElement` object that was created
  Throws:
    `SOAPException` - if there is an error in creating the `SOAPElement` object

### createElement

    public SOAPElement createElement(java.lang.String localName,
                                     java.lang.String prefix,
                                     java.lang.String uri)
                              throws SOAPException

  Create a new `SOAPElement` object with the given local name, prefix and uri.
  Overrides:
    `createElement` in class `SOAPFactory`
  Parameters:
    `localName` - a `String` giving the local name for the new element
    `prefix` - the prefix for this `SOAPElement`
    `uri` - a `String` giving the URI of the namespace to which the new element belongs
  Returns:
    the new `SOAPElement` object that was created
  Throws:
    `SOAPException` - if there is an error in creating the `SOAPElement` object

### createDetail

    public Detail createDetail()
                        throws SOAPException

  Description copied from class: `SOAPFactory`
  Creates a new `Detail` object which serves as a container for `DetailEntry` objects.

  This factory method creates `Detail` objects for use in situations where it is not practical to use the `SOAPFault` abstraction.

  Overrides:
    `createDetail` in class `SOAPFactory`
  Following copied from class: `javax.xml.soap.SOAPFactory`
  Returns:
    a `Detail` object
  Throws:
    `SOAPException` - if there is a SOAP error

### createName

    public Name createName(java.lang.String localName,
                           java.lang.String prefix,
                           java.lang.String uri)
                    throws SOAPException

  Description copied from class: `SOAPFactory`
  Creates a new `Name` object initialized with the given local name, namespace prefix, and namespace URI.

  This factory method creates `Name` objects for use in situations where it is not practical to use the `SOAPEnvelope` abstraction.

  Overrides:
    `createName` in class `SOAPFactory`
  Following copied from class: `javax.xml.soap.SOAPFactory`
  Parameters:
    `localName` - a `String` giving the local name
    `prefix` - a `String` giving the prefix of the namespace
    `uri` - a `String` giving the URI of the namespace
  Returns:
    a `Name` object initialized with the given local name, namespace prefix, and namespace URI
  Throws:
    `SOAPException` - if there is a SOAP error

### createName

    public Name createName(java.lang.String localName)
                    throws SOAPException

  Description copied from class: `SOAPFactory`
  Creates a new `Name` object initialized with the given local name.

  This factory method creates `Name` objects for use in situations where it is not practical to use the `SOAPEnvelope` abstraction.

  Overrides:
    `createName` in class `SOAPFactory`
  Following copied from class: `javax.xml.soap.SOAPFactory`
  Parameters:
    `localName` - a `String` giving the local name
  Returns:
    a `Name` object initialized with the given local name
  Throws:
    `SOAPException` - if there is a SOAP error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.